all:copydiff

commun.o : commun.h commun.c
	gcc -c commun.c

ctrldate.o : commun.h ctrldate.h ctrldate.c
	gcc -c ctrldate.c

fileparam.o : commun.h section.h fileparam.h fileparam.c
	gcc -c fileparam.c

recurdir.o : commun.h trtdir.h trtfile.h recurdir.h recurdir.c
	gcc -c recurdir.c

section.o : section.h section.c
	gcc -c section.c

copydiff.o : copyfile.h commun.h copydiff.h ctrldate.h fileparam.h trtdir.h trtfile.h section.h  copydiff.c
	gcc -c copydiff.c

trtdir.o : commun.h trtdir.h trtdir.c
	gcc -c trtdir.c

trtfile.o : commun.h ctrldate.h copyfile.h trtfile.h trtfile.c
	gcc -c trtfile.c

copyfile.o : commun.h copyfile.h copyfile.c
	gcc -c copyfile.c

copydiff : commun.o copydiff.o copyfile.o ctrldate.o fileparam.o recurdir.o section.o trtdir.o trtfile.o 
	gcc commun.o copydiff.o copyfile.o ctrldate.o fileparam.o recurdir.o section.o trtdir.o trtfile.o  -o copydiff
